/*import { Request, Response } from "express";
import sport from "../db/models/Sport";
import Boat from "../db/models/Boat";
import BoatType from "../db/models/BoatType";

//createSportController
const createSportController = async (req: Request, res: Response) => {
    try {
      if (!(res.locals.user.role == "coordinator")) {
        return res
          .status(403)
          .json({ success: false, error: "MustBeCoordinator" });
      }
  
      const newSportInput = req.body;
  
      const newSport = await sport.create(newSportInput);
  
      if (newSport) {
        return res.status(201).json({
          success: true,
          result: {
            id: newSport.id,
            name: newSport.name,
          },
        });
      }
    } catch (error) {
      console.error(error.message);
      return res.status(500).json({ success: false, error: "serverError" });
    }
  };

  //show all Sports
const showAllSports = async (req: Request, res: Response) => {
    try {
      if (!(res.locals.user.role === "coordinator")) {
        return res
          .status(403)
          .json({ success: false, error: "MustBeCoordinator" });
      }
      const allSports = await sport.findAll();
      return res.status(200).send({
        success: true,
        result: allSports.map((sport) => {
          return { id: sport.id, name: sport.name };
        }),
      });
    } catch (error) {
      console.error("server error: ", error.message);
      return res.status(500).json({ success: false, error: "serverError" });
    }
  };

  const sportControllers = {
    createSportController,
    showAllSports
  };
  
  export default sportControllers;
  */